curl --request PUT \
--url https://api.messaging.phonovation.com/ccaas/2/conversations/{conversationId}/form \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"fields": [
{
"fieldId": "ba18fdf8-eacf-4b15-8d4e-71515f5b9bcc",
"value": "updating an existing disposition"
},
{
"fieldId": "d85b8e46-f579-482f-b383-22648aae17b5",
"value": "creating a new disposition"
}
]
}
'import requests
url = "https://api.messaging.phonovation.com/ccaas/2/conversations/{conversationId}/form"
payload = { "fields": [
{
"fieldId": "ba18fdf8-eacf-4b15-8d4e-71515f5b9bcc",
"value": "updating an existing disposition"
},
{
"fieldId": "d85b8e46-f579-482f-b383-22648aae17b5",
"value": "creating a new disposition"
}
] }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/ccaas/2/conversations/{conversationId}/form");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
request.AddJsonBody("{\n \"fields\": [\n {\n \"fieldId\": \"ba18fdf8-eacf-4b15-8d4e-71515f5b9bcc\",\n \"value\": \"updating an existing disposition\"\n },\n {\n \"fieldId\": \"d85b8e46-f579-482f-b383-22648aae17b5\",\n \"value\": \"creating a new disposition\"\n }\n ]\n}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.put("https://api.messaging.phonovation.com/ccaas/2/conversations/{conversationId}/form")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"fields\": [\n {\n \"fieldId\": \"ba18fdf8-eacf-4b15-8d4e-71515f5b9bcc\",\n \"value\": \"updating an existing disposition\"\n },\n {\n \"fieldId\": \"d85b8e46-f579-482f-b383-22648aae17b5\",\n \"value\": \"creating a new disposition\"\n }\n ]\n}")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/ccaas/2/conversations/{conversationId}/form",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'fields' => [
[
'fieldId' => 'ba18fdf8-eacf-4b15-8d4e-71515f5b9bcc',
'value' => 'updating an existing disposition'
],
[
'fieldId' => 'd85b8e46-f579-482f-b383-22648aae17b5',
'value' => 'creating a new disposition'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
fields: [
{
fieldId: 'ba18fdf8-eacf-4b15-8d4e-71515f5b9bcc',
value: 'updating an existing disposition'
},
{
fieldId: 'd85b8e46-f579-482f-b383-22648aae17b5',
value: 'creating a new disposition'
}
]
})
};
fetch('https://api.messaging.phonovation.com/ccaas/2/conversations/{conversationId}/form', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"statusCode": "SUCCESS",
"message": "Disposition updated successfully."
}Update or insert dispositions
Use this method to create or update field value for a conversation. Method overwrites old dispositions.
Required scope: Enable one of: conversations:manage.
curl --request PUT \
--url https://api.messaging.phonovation.com/ccaas/2/conversations/{conversationId}/form \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"fields": [
{
"fieldId": "ba18fdf8-eacf-4b15-8d4e-71515f5b9bcc",
"value": "updating an existing disposition"
},
{
"fieldId": "d85b8e46-f579-482f-b383-22648aae17b5",
"value": "creating a new disposition"
}
]
}
'import requests
url = "https://api.messaging.phonovation.com/ccaas/2/conversations/{conversationId}/form"
payload = { "fields": [
{
"fieldId": "ba18fdf8-eacf-4b15-8d4e-71515f5b9bcc",
"value": "updating an existing disposition"
},
{
"fieldId": "d85b8e46-f579-482f-b383-22648aae17b5",
"value": "creating a new disposition"
}
] }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/ccaas/2/conversations/{conversationId}/form");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
request.AddJsonBody("{\n \"fields\": [\n {\n \"fieldId\": \"ba18fdf8-eacf-4b15-8d4e-71515f5b9bcc\",\n \"value\": \"updating an existing disposition\"\n },\n {\n \"fieldId\": \"d85b8e46-f579-482f-b383-22648aae17b5\",\n \"value\": \"creating a new disposition\"\n }\n ]\n}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.put("https://api.messaging.phonovation.com/ccaas/2/conversations/{conversationId}/form")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"fields\": [\n {\n \"fieldId\": \"ba18fdf8-eacf-4b15-8d4e-71515f5b9bcc\",\n \"value\": \"updating an existing disposition\"\n },\n {\n \"fieldId\": \"d85b8e46-f579-482f-b383-22648aae17b5\",\n \"value\": \"creating a new disposition\"\n }\n ]\n}")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/ccaas/2/conversations/{conversationId}/form",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'fields' => [
[
'fieldId' => 'ba18fdf8-eacf-4b15-8d4e-71515f5b9bcc',
'value' => 'updating an existing disposition'
],
[
'fieldId' => 'd85b8e46-f579-482f-b383-22648aae17b5',
'value' => 'creating a new disposition'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
fields: [
{
fieldId: 'ba18fdf8-eacf-4b15-8d4e-71515f5b9bcc',
value: 'updating an existing disposition'
},
{
fieldId: 'd85b8e46-f579-482f-b383-22648aae17b5',
value: 'creating a new disposition'
}
]
})
};
fetch('https://api.messaging.phonovation.com/ccaas/2/conversations/{conversationId}/form', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"statusCode": "SUCCESS",
"message": "Disposition updated successfully."
}Authorizations
This is the most secure authorization type and the one with the most flexibility.
API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.
You can manage your API keys from GUI, or programmatically with dedicated API.
API key Authorization header example:
Authorization: App 003026bbc133714df1834b8638bb496e-8f4b3d9a-e931-478d-a994-28a725159ab9
Path Parameters
Id of the conversation.
Body
List of fields and agent inputs to those fields.
1 - 2147483647 elementsShow child attributes
Show child attributes